Opened 7 months ago

Closed 4 months ago

Last modified 4 months ago

#14393 closed enhancement (duplicate)

gtk+-4.0.0 (Wait until needed)

Reported by: Douglas R. Reno Owned by: blfs-book
Priority: normal Milestone: hold
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

New major version.

We should hold on this until we have something that uses it.

Change History (4)

comment:1 by Bruce Dubbs, 7 months ago

Milestone: 10.1hold
Summary: gtk+-4.0.0gtk+-4.0.0 (Wait until needed)

Moving to hold until something needs this package.

comment:2 by Xi Ruoyao, 7 months ago

We'll need to disable SSE2 for graphene, on 32-bit x86.

See https://gitlab.gnome.org/GNOME/gtk/-/issues/3497 .

in reply to:  2 comment:3 by Xi Ruoyao, 5 months ago

Replying to xry111:

We'll need to disable SSE2 for graphene, on 32-bit x86.

See https://gitlab.gnome.org/GNOME/gtk/-/issues/3497 .

Merged in graphene-1.10.4. No actions needed now.

And IIRC GNOME 40 still uses GTK 3. Maybe 41 will use GTK 4.

comment:4 by Xi Ruoyao, 4 months ago

Resolution: duplicate
Status: newclosed

Put it into gnome-40 external libs as some compoents of gnome-shell-40 started to use it.

Last edited 4 months ago by Xi Ruoyao (previous) (diff)
Note: See TracTickets for help on using tickets.